# Web Editor Background Color Picker

This module extends the functionality of the web editor to support setting a custom background color to any snippet allowing you to customize it.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Other credits
  - Maintainers

# Usage

To use this module, you need to:

1. Install any module that makes use of the web editor, such as `mass_mailing` or `website`.
2. Use that module’s facilities to edit some web content.
3. Drag & drop any snippet into the web editor body.
4. Click on Customize > Text-Image > Background Color > </> icon.
5. Choose a custom color by either: * Writing any valid HTML color code in the text input. * Selecting a color from the color picker.

# Known issues / Roadmap

- Preview when user plays with colors. See https://github.com/OCA/web/pull/1327#issuecomment-509621572 to understand the (co/i)mplications.
- When (& if) Odoo merges https://github.com/odoo/odoo/pull/34687, this module will no longer be needed.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Jairo Llopis <jairo.llopis@tecnativa.com> - https://www.tecnativa.com

## Other credits

- This addon includes code copied from bootstrap-colorpicker

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.